.header {
    padding: 50px;
    display: flex;
    justify-content: space-between;

    &__logo {
        height: 40px;
        width: auto;
    }

    &__toggle {
        position: relative;
        height: 30px;
        width: 100px;
        background-color: #333;
        display: grid;
        place-items: center;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 5px;
        border-radius: 5px;
        cursor: pointer;
        transition: background-color 0.3s ease-out;
    }

    &__toggle-theme {
        color: #fff;
        font-size: 13px;
        transition: color 0.3s ease-out;
    }

    &__toggler {
        position: absolute;
        background-color: #fff;
        height: calc(100% - 10px);
        width: 50%;
        border-radius: 5px;
        transform: translateX(20px);
        transition: transform 0.3s ease-out, background-color 0.3s ease-out;

        &.dark {
            transform: translateX(-20px);
        }
    }

    @media (max-width: 830px) {
        padding: 20px 0;
    }
}

.dark {
    .header {
        &__toggle {
            background-color: #fff;
        }

        &__toggle-theme {
            color: #171719;
        }

        &__toggler {
            background-color: #171719;
        }
    }
}
